# Category

GSM_Error GSM_GetCategory(GSM_StateMachine *s, GSM_Category *Category)

  Reads category from phone.

  Parameters:

    - s – State machine pointer.

    - Category – Storage for category, containing its type and location.

  Returns:

    Error code

GSM_Error GSM_AddCategory(GSM_StateMachine *s, GSM_Category *Category)

  Adds category to phone.

  Parameters:

    - s – State machine pointer.

    - Category – New category, containing its type and location.

  Returns:

    Error code

GSM_Error GSM_GetCategoryStatus(GSM_StateMachine *s, GSM_CategoryStatus *Status)

  Reads category status (number of used entries) from phone.

  Parameters:

    - s – State machine pointer.

    - Status – Category status, fill in type before calling.

  Returns:

    Error code

enum GSM_CategoryType

  Type of category

  Values:

  enumerator Category_ToDo

    Todo entry category

  enumerator Category_Phonebook

    Phonebook entry category

struct GSM_Category

  Category entry.

  Public Members

  GSM_CategoryType Type

    Type of category

  int Location

    Location of category

  unsigned char Name[(GSM_MAX_CATEGORY_NAME_LENGTH + 1) * 2]

    Name of category

struct GSM_CategoryStatus

  Status of categories.

  Public Members

  GSM_CategoryType Type

    Type of category.

  int Used

    Number of used category names.